"""
    Usage:  python newrex_py.py data/20070105_003031/rex_003031500?_*.fit
"""
import sys,pyfits
ns = [(i,) for i in xrange(1,1251)]
rtsfx = [() for i in xrange(1240)]
for arg in sys.argv[1:]:
  fits = pyfits.open(arg,readonly=True)
  fmt = '_eng_' in arg[-15:] and '%16d' or '%16.4f'
  iq = [tuple(row) for row in fits[1].data]
  rt = [tuple(row) for row in fits[2].data] + rtsfx
  for t in [reduce(lambda x,y:x+y,t3) for t3 in  zip(ns,iq,rt)]:
    print( ('%5d' + (fmt*(len(t)-1))) % t )
